MongoClient::close
MongoClient::__construct
MongoClient
PHP Manual

# MongoClient::connect

(PECL mongo >=1.3.0)

MongoClient::connect — Connects to a database server

> This extension that defines this method is deprecated. Instead, the MongoDB extension should be used. There is no equivalent for this method in the new extension.

### Description

public bool MongoClient::connect ( void )

### Parameters

This function has no parameters.

### Return Values

If the connection was successful.

### Errors/Exceptions

Throws MongoConnectionException if it fails to connect to the database.

MongoClient::close
MongoClient::__construct
MongoClient
PHP Manual